aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-fs/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2015-04-16 16:51:34 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2015-05-09 07:40:26 +0000
commit27f6fdb9bf4ba9a4211f4a562cd74b7919f68869 (patch)
tree0c356bca6a9e0a69c02591a4085e4231e327c22a /testing/py-fs/APKBUILD
parentb3704111fffeba2cfff47de433c827222b3719d7 (diff)
downloadaports-27f6fdb9bf4ba9a4211f4a562cd74b7919f68869.tar.gz
aports-27f6fdb9bf4ba9a4211f4a562cd74b7919f68869.tar.bz2
aports-27f6fdb9bf4ba9a4211f4a562cd74b7919f68869.tar.xz
testing/py-fs: new aport
A Python Filesystem abstraction layer https://pypi.python.org/pypi/fs/
Diffstat (limited to 'testing/py-fs/APKBUILD')
-rw-r--r--testing/py-fs/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-fs/APKBUILD b/testing/py-fs/APKBUILD
new file mode 100644
index 0000000000..fb868e65dd
--- /dev/null
+++ b/testing/py-fs/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-fs
+_pkgname=fs
+pkgver=0.5.1
+pkgrel=0
+pkgdesc="A Python Filesystem abstraction layer"
+url="https://pypi.python.org/pypi/fs"
+arch="noarch"
+license="BSD"
+depends="python py-boto py-paramiko py-six py-django py-dexml"
+depends_dev=""
+makedepends="python-dev py-setuptools py-six"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="7abd892a7534cab3a81775b92ca949ad fs-0.5.1.tar.gz"
+sha256sums="18e0f3b183bedb326a3c95a320ad202730aa1358affdebedb27b939a18f87f8b fs-0.5.1.tar.gz"
+sha512sums="237e8352c9b070b8ffc7e14db38ad442edd463c212851b1be569c84134052d2c1b58c9f32988c7500a1363e459abb99ca47a4908186f681fc9fcac8c1c55cbd4 fs-0.5.1.tar.gz"